> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a group.

> 
    ROLES: USER_ADMIN,USER_WRITE
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml put /api/v1/groups/{groupId}
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/groups/{groupId}:
    put:
      tags:
        - Groups
      summary: Update a group.
      description: |2-

            ROLES: USER_ADMIN,USER_WRITE
            USER: true
            SERVICE ACCOUNT: true
            
      operationId: GroupsController_updateType
      parameters:
        - name: groupId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateGroupDto'
      responses:
        '201':
          description: OK.
        '400':
          description: Bad input of the data.
        '403':
          description: Forbidden.
        '404':
          description: Not found.
      security:
        - bearer: []
components:
  schemas:
    UpdateGroupDto:
      type: object
      properties:
        name:
          type: string
          description: Label is only used for the presentation.
        category:
          type: string
          description: Category is only used for the presentation.
        desc:
          type: string
          description: Desc (visible to users).
        ownerId:
          type: string
          description: You must provide owner of the group.
        ownerType:
          type: string
          description: Owner type.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````